package models

type roles string

const (
	ADMIN         roles = "ADMIN"
	S2_MAHASISWA  roles = "S2_MAHASISWA"
	S2_PEMBIMBING roles = "S2_PEMBIMBING"
	S2_PENGUJI    roles = "S2_PENGUJI"
	S2_TIM_TESIS  roles = "S2_TIM_TESIS"
	S1_MAHASISWA  roles = "S1_MAHASISWA"
	S1_PEMBIMBING roles = "S1_PEMBIMBING"
	S1_PENGUJI    roles = "S1_PENGUJI"
	S1_TIM_TA     roles = "S1_TIM_TA"
)

type Pengguna struct {
	ID             string `gorm:"type:uuid;primaryKey;default:gen_random_uuid();unique" json:"id"`
	Nama           string `gorm:"column:nama" json:"nama"`
	Email          string `gorm:"column:email" json:"email"`
	Password       string `gorm:"column:password;" json:"-"`
	Roles          roles  `gorm:"column:roles" json:"roles"`
	NIM            string `gorm:"column:nim" json:"nim"`
	Aktif          bool   `gorm:"column:aktif;default:true" json:"aktif"`
	KontakWhatsApp string `gorm:"column:kontakWhatsApp" json:"kontak_whatsapp"`
	KontakMsTeams  string `gorm:"column:kontakMsTeams" json:"kontak_msteams"`
	KontakEmail    string `gorm:"column:kontakEmail" json:"kontak_email"`
	KontakTelp     string `gorm:"column:kontakTelp" json:"kontak_telp"`
	KontakLainnya  string `gorm:"column:kontakLainnya" json:"kontak_lainnya"`
	Keahlian       string `gorm:"column:keahlian" json:"keahlian"`
}

func (Pengguna) TableName() string {
	return "pengguna"
}
