package entity

type Topik struct {
	ID        string `json:"id"`
	Judul     string `json:"judul"`
	Deskripsi string `json:"deskripsi"`
	PengajuID string `json:"pengaju_id"`

	Pengguna Pengguna `json:"pengaju" gorm:"foreignKey:PengajuID"`
}

func (Topik) TableName() string {
	return "topik"
}

type Pengguna struct {
	ID    string `gorm:"type:uuid;primaryKey" json:"id"`
	Nama  string `json:"nama"`
	Email string `json:"email"`
	Roles string `json:"roles"`
}

func (Pengguna) TableName() string {
	return "pengguna"
}

type GetAllReturnType struct {
	DaftarTopikData []Topik `json:"data"`
	MaxPage         int     `json:"maxPage"`
}

type TopikPostPutReqData struct {
	Judul     string `json:"judul"`
	Deskripsi string `json:"deskripsi"`
	PengajuID string `json:"idPengaju"`
}

type ParamValues struct {
	Limit  int
	Offset int
}
